Subject: Re: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Thu, 22 Oct 2015 16:28:27 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Rainer M Krug <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 16 Oct 2015 21:22:57 +0200
>> 
>> OK - now it looks as follow:
>> 
>> ,----
>> |   /* Attempt to hunt down bug#16028.  */
>> |   SET_FRAME_GARBAGED (f);
>> | 
>> |   /* Added by rkrug */
>> |   f->fonts_changed = true;
>> |   
>> |   recompute_basic_faces (f);
>> | 
>> |   do_pending_window_change (0);
>> `----
>> 
>> > Please add that here, and see if the crashes go away.
>> 
>> OK.
>> 
>> I'll leave the session open till Monday - so let me know if you need
>> some further information.
>> 
>> On Monday, I will re-compile and start again as I did this time.
>
> Please update from the Git repository and recompile before you
> continue on Monday.  I've committed the above change, and also made a
> couple of other changes, and hope those changes will fix the crashes.

Done so, and I have another crash, although I am not sure if it is the
same. I attach the log and the session is still open.

Cheers,

Rainer
> Thanks.

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982